package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CustomFlowApproveUserTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程节点result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowTaskResult implements Serializable {

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程节点名称")
    private String taskName;

    @ApiModelProperty(value = "流程节点key")
    private String taskKey;

    @ApiModelProperty(value = "流程节点步骤")
    private Integer setup;

    @ApiModelProperty(value = "审批人")
    String approveUserNames;

    @ApiModelProperty(value = "审批角色ids")
    List<String> approveRoleIds;

    @ApiModelProperty(value = "属性")
    CustomFlowApproveUserTypeEnum approveUserType;

    public FlowTaskResult() {

    }

    public FlowTaskResult(String taskName, String taskKey, Integer setup) {
        this.taskName = taskName;
        this.taskKey = taskKey;
        this.setup = setup;
    }

    public FlowTaskResult(Long flowId, String taskName, String taskKey, Integer setup, List<String> approveRoleIds, CustomFlowApproveUserTypeEnum approveUserType) {
        this.flowId = flowId;
        this.taskName = taskName;
        this.taskKey = taskKey;
        this.setup = setup;
        this.approveRoleIds = approveRoleIds;
        this.approveUserType = approveUserType;
    }

    public List<String> getApproveRoleIds() {
        return approveRoleIds;
    }

    public void setApproveRoleIds(List<String> approveRoleIds) {
        this.approveRoleIds = approveRoleIds;
    }

    public CustomFlowApproveUserTypeEnum getApproveUserType() {
        return approveUserType;
    }

    public void setApproveUserType(CustomFlowApproveUserTypeEnum approveUserType) {
        this.approveUserType = approveUserType;
    }

    public String getApproveUserNames() {
        return approveUserNames;
    }

    public void setApproveUserNames(String approveUserNames) {
        this.approveUserNames = approveUserNames;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskKey() {
        return taskKey;
    }

    public void setTaskKey(String taskKey) {
        this.taskKey = taskKey;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }
}
